Subject: Re: bug#42406: Mouse-wheel scrolling can be flickering

From: Konrad Podczeck <[email-masked]>
Date: Wed, 16 Dec 2020 21:29:53 +0100

To clarify my observation:  If I comment out just the two calls to wset_update_mode_line that are in window_scroll_pixel_based, then the mouse wheel scrolling problem with multiple frames goes away, but the problem with scrolling via the scroll bars remains; if I comment out all five calls to wset_update_mode which are in window.c, then in addition the scroll-bar problem goes away (with multiple frames). I just wanted to know whether Martin has an idea which of the remaining three calls (when they are not out-commented) could be responsible for the scroll-bar problem.

> Am 16.12.2020 um 19:51 schrieb martin rudalics <[email-masked]>:
> 
> >> Then something else must come into play here.  I don't see where
> >> 'scroll-bar-toolkit-scroll' forces a mode line update.
> >
> > AFAIR, scroll-up does.
> 
> 'scroll-up' runs scroll_command and nothing else.  And if you mean the
> instances in window_scroll_pixel_based, then these are the ones Konrad
> removed in his Emacs.  Maybe the NS port does something completely
> different here ...
> 
> martin